﻿using System.Collections.Generic; // Для Dictionary

namespace DailyDigestWorker.Models
{
    // Модель для хранения курсов криптовалют
    public class CryptoData
    {
        // Используем словарь: Идентификатор крипты (bitcoin, ethereum) -> Внутренний словарь (Валюта -> Курс)
        public Dictionary<string, Dictionary<string, decimal>> CryptoRates { get; } = new Dictionary<string, Dictionary<string, decimal>>();
        // Пример: {"bitcoin": {"usd": 60000, "rub": 5000000}, "ethereum": ... }
    }
}